// SetDateTimeDlg.h : header file
//

#if !defined(AFX_SETDATETIMEDLG_H__8877B151_B7B6_11D2_8041_00105A1E5D53__INCLUDED_)
#define AFX_SETDATETIMEDLG_H__8877B151_B7B6_11D2_8041_00105A1E5D53__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Module.h"
#include "Resource.h"

/////////////////////////////////////////////////////////////////////////////
// CSetDateTimeDlg dialog
//
//This dialog may be used to provide the user an input mechanism for
//setting a date or time.  This may be used in setting the clock
//or searching a log.  The dialog has been designed to allow the user
//to enter or edit the numbers with as few stylus strokes as possible.
class CSetDateTimeDlg : public TDialog
{
   // Construction
public:
   CSetDateTimeDlg(CWnd* pParent = NULL, TTime& time = TTime::GetCurrentTime());   // standard constructor
   int m_nSelID;
   TTime& t;

   LPCTSTR m_pstrTitle;

   //to make resulting data and time public
   WORD wYear;
   WORD wDay;
   WORD wHour;
   WORD wMin;
   WORD wSec;
   WORD wMonth;

   //validation routines
   BOOL ValidTime();
   BOOL ValidDate();
   BOOL ValidSec();
   BOOL ValidMin();
   BOOL ValidHour();
   BOOL ValidDay();
   BOOL ValidMonth();
   BOOL ValidYear();
   // Dialog Data
   //{{AFX_DATA(CSetDateTimeDlg)
   enum { IDD = IDD_SETDATETIME };
   CString m_year;
   CString m_sec;
   CString m_month;
   CString m_min;
   CString m_hour;
   CString m_day;
   //}}AFX_DATA


   // Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CSetDateTimeDlg)
   protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   //}}AFX_VIRTUAL

   // Implementation
   protected:

   // Generated message map functions
   //{{AFX_MSG(CSetDateTimeDlg)
   virtual BOOL OnInitDialog();
   afx_msg void OnButtonTabright();
   afx_msg void OnButtonTableft();
   afx_msg void OnButtonIncrement();
   afx_msg void OnSetfocusEditYear();
   afx_msg void OnSetfocusEditDay();
   afx_msg void OnSetfocusEditHour();
   afx_msg void OnSetfocusEditMin();
   afx_msg void OnSetfocusEditMonth();
   afx_msg void OnSetfocusEditSec();
   afx_msg void OnButtonDecrement();
   afx_msg void On0Button();
   afx_msg void On1Button();
   afx_msg void On2Button();
   afx_msg void On3Button();
   afx_msg void On4Button();
   afx_msg void On5Button();
   afx_msg void On6Button();
   afx_msg void On7Button();
   afx_msg void On8Button();
   afx_msg void On9Button();
   virtual void OnOK();
   afx_msg void OnChangeEditYear();
   afx_msg void OnChangeEditMonth();
   afx_msg void OnChangeEditDay();
   afx_msg void OnChangeEditHour();
   afx_msg void OnChangeEditMin();
   afx_msg void OnChangeEditSec();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETDATETIMEDLG_H__8877B151_B7B6_11D2_8041_00105A1E5D53__INCLUDED_)
